> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/45.-mutacija-issaugoti-naudotojo-duomenis.md).

# 45. Mutacija: išsaugoti naudotojo duomenis

Mutacija nustatyti vartotojo paskyros nustatymus. Mutacija nustato tik pareikštus atributus.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija SaveUserDataSample {
  saveUserData(
    input: {
      kalba: en
      plotųVienetas: AKRAI
      dirvožemioRinkinioKlasėsKiekis: 6
    }
  ) {
    uuid
    el. paštas
    plotoVientis
    kalba
    dirvožemioDuomenųRinkinioKlasėsKiekis
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/45.-mutacija-issaugoti-naudotojo-duomenis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
